<?xml version="1.0" encoding="UTF-8"?>

<!--
  ~
  ~      Copyright (c) 2018-2025, lengleng All rights reserved.
  ~
  ~  Redistribution and use in source and binary forms, with or without
  ~  modification, are permitted provided that the following conditions are met:
  ~
  ~ Redistributions of source code must retain the above copyright notice,
  ~  this list of conditions and the following disclaimer.
  ~  Redistributions in binary form must reproduce the above copyright
  ~  notice, this list of conditions and the following disclaimer in the
  ~  documentation and/or other materials provided with the distribution.
  ~  Neither the name of the yifu4cloud.com developer nor the names of its
  ~  contributors may be used to endorse or promote products derived from
  ~  this software without specific prior written permission.
  ~  Author: lengleng (wangiegie@gmail.com)
  ~
  -->

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.yifu.cloud.plus.v1.yifu.archives.mapper.TEmpWorkRecordingMapper">

  <resultMap id="tEmpWorkRecordingMap" type="com.yifu.cloud.plus.v1.yifu.archives.entity.TEmpWorkRecording">
    <id property="id" column="ID"/>
    <result property="empId" column="EMP_ID"/>
    <result property="empCode" column="EMP_CODE"/>
    <result property="empName" column="EMP_NAME"/>
    <result property="empIdcard" column="EMP_IDCARD"/>
    <result property="workUnit" column="WORK_UNIT"/>
    <result property="workDepart" column="WORK_DEPART"/>
    <result property="workJob" column="WORK_JOB"/>
    <result property="startDate" column="START_DATE"/>
    <result property="endDate" column="END_DATE"/>
    <result property="workingStatus" column="WORKING_STATUS"/>
    <result property="workingType" column="WORKING_TYPE"/>
	<result property="settleDomain" column="SETTLE_DOMAIN"/>
    <result property="deleteFlag" column="DELETE_FLAG"/>
    <result property="createBy" column="CREATE_BY"/>
    <result property="updateBy" column="UPDATE_BY"/>
    <result property="createName" column="CREATE_NAME"/>
    <result property="createTime" column="CREATE_TIME"/>
    <result property="updateTime" column="UPDATE_TIME"/>
	  <result property="remark" column="REMARK"/>

  </resultMap>

	<delete id="deleteWorkRecordByEmpId">
		delete from t_emp_work_recording where EMP_ID = #{empId}
	</delete>
</mapper>
